Bug 275956 - Possibility to display different accounts in different currency units
Summary: Possibility to display different accounts in different currency units
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 10:04 UTC by Médéric Boquien
Modified: 2011-08-06 16:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Médéric Boquien 2011-06-18 10:04:05 UTC
Version:           unspecified (using KDE 4.6.3) 
OS:                Linux

The displayed currency units are the same for all accounts, whatever their actual currency units are. I have accounts in EUR and in USD. The primary currency unit in Skrooge is USD, secondary is EUR. The problem is that even if i defined my EUR account all operations are displayed in USD. The tooltip for secondary currency is not convenient at all.

Reproducible: Always



Expected Results:  
By default all operations in an account should be displayed in whatever the account currency is in. More precisely the primary/secondary currency should be defined per account, not globally. For my USD account i would like USD/EUR as primary/secondary currencies while for my EUR account i would like EUR/USD as primary/secondary currencies.

Thanks!
Comment 1 Stephane MANKOWSKI 2011-06-18 10:23:20 UTC
To show the amount entered, you have to use the contextual menu on the header of the table and add "Amount Entered".

By doing that, you will have operations in the right currency.

Is it acceptable for you?

PS: You can display both "Amount" and "Amount entered" too.
Comment 2 Médéric Boquien 2011-06-18 10:31:17 UTC
As usual, i did not see that. It much improves the situation. Though it is not ideal yet. If you look at the "Banks and Accounts" tab the currency is still in the primary currency unit.
Also i noticed that when importing a qif file, it uses the primary unit, not the unit the account is in. It is trivial to correct that after the import but i guess it should use the account currency unit by default.

Thanks a lot!
Comment 3 Stephane MANKOWSKI 2011-06-18 10:43:00 UTC
(In reply to comment #2)
> As usual, i did not see that. It much improves the situation. Though it is not
> ideal yet. If you look at the "Banks and Accounts" tab the currency is still in
> the primary currency unit.

You are right. I will think about this interesting point.

> Also i noticed that when importing a qif file, it uses the primary unit, not
> the unit the account is in. It is trivial to correct that after the import but
> i guess it should use the account currency unit by default.
> 

This is a very interesting topic too. Could you open an other bug to following it with a scenario.

> Thanks a lot!
Comment 4 Médéric Boquien 2011-06-18 10:48:12 UTC
Reported. Bug #275963.
Comment 5 Stephane MANKOWSKI 2011-08-06 15:03:24 UTC
Git commit 9a741fca7ed5ec3c9060ecd20807904fa1c16e00 by Stephane Mankowski.
Committed on 06/08/2011 at 17:02.
Pushed by smankowski into branch 'Feature'.

BUG: 275956: Possibility to display different accounts in different currency units
	In "Account" page, a new attribute name "Amount entered" as been added to be able to see the amount of the account in his unit

M  +6    -4    skgbankmodeler/skgdocumentbank.cpp
M  +2    -1    CHANGELOG

http://commits.kde.org/skrooge/9a741fca7ed5ec3c9060ecd20807904fa1c16e00
Comment 6 Stephane MANKOWSKI 2011-08-06 15:04:32 UTC
Hi,

I did a correction.
If this is not enough please reopen this incident
Comment 7 Médéric Boquien 2011-08-06 16:55:17 UTC
Thanks a lot!